Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.EPS.Balance

class slepc4py.SLEPc.EPS.Balance

  Bases: `object`

  EPS type of balancing used for non-Hermitian problems.

  - `NONE`: None.

  - `ONESIDE`: One-sided balancing.

  - `TWOSIDE`: Two-sided balancing.

  - `USER`: User-provided balancing matrices.

  See also

  `EPSBalance`

  Attributes Summary

  `NONE` | Constant `NONE` of type `int`
  `ONESIDE` | Constant `ONESIDE` of type `int`
  `TWOSIDE` | Constant `TWOSIDE` of type `int`
  `USER` | Constant `USER` of type `int`

  Attributes Documentation

  NONE: int = NONE

    Constant `NONE` of type `int`

  ONESIDE: int = ONESIDE

    Constant `ONESIDE` of type `int`

  TWOSIDE: int = TWOSIDE

    Constant `TWOSIDE` of type `int`

  USER: int = USER

    Constant `USER` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)